package com.example.webapp;

import com.tsurugidb.iceaxe.TsurugiConnector;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.net.URI;

/**
 * Bean定義クラス.
 */
@Configuration
public class TsurugiConfig {

    /**
     * Tsurugiへの接続情報を保持するBeanの定義.
     *
     * @return Tsurugiへの接続情報を保持した {@link TsurugiConnector} インスタンス
     */
    @Bean
    TsurugiConnector tsurugiConnector() {
        URI endpoint = URI.create("tcp://localhost:12345");
        return TsurugiConnector.of(endpoint);
    }

}
